%define initdir /etc/rc.d/init.d

Summary: AppleTalk networking programs
Name: netatalk
Version: 1.5pre2
Release: 6
Copyright: BSD
Group: System Environment/Daemons
Source0: http://download.sourceforge.net/netatalk/netatalk-1.4.99-0.20001108.tar.gz
Source1: atalk.init
Source2: netatalk.config
Source3: AppleVolumes.system
Source4: ICDumpSuffixMap
Patch: netatalk-asun.fsstnd.patch
Patch1: netatalk-asun.install.patch
Patch2: netatalk-asun.librpcsvc.patch
Patch3: netatalk-asun.nbp.patch
Patch4: netatalk-system-auth.patch
Patch5: linux-2.4-quota.patch
Patch6: netatalk-1.4.99-libtool.patch
Epoch: 1
Obsoletes: netatalk-1.4b2+asun
Url: http://netatalk.sourceforge.net/
Prereq: /sbin/chkconfig, /sbin/service 
Requires: pam >= 0.56, /etc/pam.d/system-auth, tcp_wrappers, openssl, cracklib
BuildRequires: cracklib, openssl-devel, pam
BuildRoot: %{_tmppath}/%{name}-root

%description
This package enables Linux to talk to Macintosh computers via the
AppleTalk networking protocol. It includes a daemon to allow Linux
to act as a file server over EtherTalk or IP for Mac's.

%package devel
Summary: Headers and static libraries for Appletalk development
Group: Development/Libraries

%description devel
This package contains the header files, and static libraries for building
Appletalk networking programs.

%prep
%setup -q -n %{name}
%patch6 -p0 -b .libtools

%build
./autogen.sh
CFLAGS="$RPM_OPT_FLAGS -fsigned-char" ./configure --prefix=%{_prefix} \
	--with-cracklib --with-pam --with-shadow --with-tcp-wrappers \
	--with-ssl --with-flock-locksi --with-uams-path=%{_libdir}
           
make all

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/atalk/{uams,nls}
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT%{initdir}
mkdir -p $RPM_BUILD_ROOT/usr/include/{netatalk,atalk}

make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install-strip

install -m644 config/AppleVolumes.default $RPM_BUILD_ROOT/etc/atalk/AppleVolumes.default
install -m644 config/afpd.conf $RPM_BUILD_ROOT/etc/atalk/afpd.conf
install -m644 config/atalkd.conf $RPM_BUILD_ROOT/etc/atalk/atalkd.conf
install -m644 config/papd.conf $RPM_BUILD_ROOT/etc/atalk/papd.conf
install -m644 config/netatalk.pamd $RPM_BUILD_ROOT/etc/pam.d/netatalk
install -m644 %{SOURCE4} .
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/atalk/AppleVolumes.system
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/atalk/config
install -m755 %{SOURCE1} $RPM_BUILD_ROOT%{initdir}/atalk
cp include/atalk/*.h $RPM_BUILD_ROOT/usr/include/atalk/
cp sys/netatalk/*.h $RPM_BUILD_ROOT/usr/include/netatalk/

rm -f $RPM_BUILD_ROOT/usr/include/netatalk/at.h || :

cd $RPM_BUILD_ROOT/etc/atalk/nls
$RPM_BUILD_ROOT/usr/bin/makecode || true

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add atalk
# Do only for the first install
if [ "$1" = 1 ] ; then
  # Add the ddp lines to /etc/services
  if (grep '[0-9][0-9]*/ddp' /etc/services >/dev/null); then
    exit 0
  else
    cat <<'_EOD2_' >>/etc/services
# start of DDP services
#
# Everything between the 'start of DDP services' and 'end of DDP services'
# lines will be automatically deleted when the netatalk package is removed.
#
rtmp		1/ddp		# Routing Table Maintenance Protocol
nbp		2/ddp		# Name Binding Protocol
echo		4/ddp		# AppleTalk Echo Protocol
zip		6/ddp		# Zone Information Protocol

# end of DDP services
_EOD2_
  fi
fi

%preun
if [ "$1" = "0" ] ; then
  /sbin/service atalk stop > /dev/null 2>&1
  /sbin/chkconfig --del atalk
  # remove the ddp lines from /etc/services
  if (grep '^# start of DDP services$' /etc/services >/dev/null && \
      grep '^# end of DDP services$' /etc/services >/dev/null ); then
    sed -e '/^# start of DDP services$/,/^# end of DDP services$/d' \
	</etc/services >/etc/services.tmp$$
    cat /etc/services.tmp$$ >/etc/services
    rm /etc/services.tmp$$
  else
    exit 0
  fi
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service atalk condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYRIGHT ChangeLog README* TODO VERSION NEWS
%doc ICDumpSuffixMap doc
%dir /etc/atalk
%dir /etc/atalk/nls
%config /etc/atalk/nls/*
%{_libdir}/*.so
%config(noreplace) /etc/atalk/AppleVolumes.default
%config(noreplace) /etc/atalk/AppleVolumes.system
%config(noreplace) /etc/atalk/config
%config(noreplace) /etc/atalk/afpd.conf
%config(noreplace) /etc/atalk/atalkd.conf
%config(noreplace) /etc/atalk/papd.conf
%attr(755,root,root) %config %{initdir}/atalk
%config(noreplace) /etc/pam.d/netatalk
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man*/*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/atalk
%{_libdir}/*.a
%attr(0644,root,root) %{_includedir}/atalk/*
%attr(0644,root,root) %{_includedir}/netatalk/*
%{_datadir}/aclocal/netatalk.m4

%changelog
* Fri Mar  2 2001 Tim Powers <timp@redhat.com>
- rebuilt against openssl-0.9.6-1

* Sun Feb 25 2001 Tim Powers <timp@redhat.com>
- fixed bug 29370. This package is trying to include a file glibc already includes

* Tue Jan 23 2001 Tim Powers <timp@redhat.com>
- updated initscript

* Thu Jan 04 2001 Than Ngo <than@redhat.com>
- fixed uams-path
- added noreplace to %config

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Fri Nov 10 2000 Than Ngo <than@redhat.com>
- update to 1.5pre2 (bug #19737, #20397)
- update Url and ftp site
- clean up specfile
- netatalk-1.4b2+asun obsolete

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- fix dependency with glibc-devel (Bug #15589)
- fix typo in description (Bug #15479)

* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- fix symlinks not being relative.

* Fri Jul 28 2000 Than Ngo <than@redhat.de>
- add missing restart function in startup script

* Fri Jul 28 2000 Tim Powers <timp@redhat.com>
- fixed initscripts so that condrestart doesn't return 1 when the test fails

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sun Jul 23 2000 Tim Powers <timp@redhat.com>
- rebuilt 

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- inits back to rc.d/init.d, using service to start inits

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- fixed broken PreReq, now PreReq's /etc/init.d

* Tue Jun 27 2000 Than Ngo <than@redhat.de>
- remove prereq initscripts, add requires initscripts
- clean up specfile

* Mon Jun 26 2000 Than Ngo <than@redhat.de>
- /etc/rc.d/init.d -> /etc/init.d
- add condrestart directive
- fix post/preun/postun scripts
- prereq initscripts >= 5.20

* Tue Jun 20 2000 Tim Powers <timp@redhat.com>
- fixed bug 11420 concerning the building with -O2.

* Thu Jun 8 2000 Tim Powers <timp@redhat.com>
- fix bug #11978 
- fix man page locations to be FHS compliant

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify PAM setup to use system-auth

* Thu Dec 16 1999 Tim Powers <timp@redhat.com>
- renewed source so it is pristine, delete the problematic files in spec file
	instead
- general spec file cleanups, create buildroot and dirs in the %install
	section
- strip binaries
- gzip man pages
- fixed netatalk-asun.librpcsvc.patch, -lnss_nis too
- changed group
- added %defattr to %files section

* Tue Aug 3 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- rpm-3.0 needs to remove vogus files from source.
  Removed files: etc/papd/.#magics.c, etc/.#diff
* Fri Jul 30 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Change Copyright tag to BSD.
  Add /usr/bin/adv1tov2.
* Thu Apr 22 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Correct librpcsvc.patch.  Move %changelog section last.
  Uncomment again -DNEED_QUOTA_WRAPPER in sys/linux/Makefile since
  LinuxPPC may need.
* Wed Mar 31 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Comment out -DNEED_QUOTA_WRAPPER in sys/linux/Makefile.
* Sat Mar 20 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Correct symbolic links to psf.
  Remove asciize function from nbplkup so as to display Japanese hostname.
* Thu Mar 11 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Included MacPerl 5 script ICDumpSuffixMap which dumps suffix mapping
  containd in Internet Config Preference.
* Tue Mar 2 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [asun2.1.3]
* Mon Feb 15 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2-8]
* Sun Feb 7 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2-6]
* Mon Jan 25 1999 iNOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2-3]
* Thu Dec 17 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2]
  Remove crlf patch. It is now a server's option.
* Thu Dec 3 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use stable version source netatalk-1.4b2+asun2.1.1.tar.gz
  Add uams directory
* Sat Nov 28 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.1-3 source.
* Mon Nov 23 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.1-2 source.
* Mon Nov 16 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Fix rcX.d's symbolic links.
* Wed Oct 28 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0a-2 source. Remove '%exclusiveos linux' line.
* Sat Oct 24 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use stable version source netatalk-1.4b2+asun2.1.0.tar.gz.
* Mon Oct 5 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-10a source.
* Thu Sep 19 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-8 source. Add chkconfig support.
* Sat Sep 12 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Comment out -DCRLF. Use RPM_OPT_FLAGS.
* Mon Sep 8 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-7 source. Rename atalk.init to atalk.
* Mon Aug 22 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-6 source.
* Mon Jul 27 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-5 source.
* Tue Jul 21 1998 INOUE Koichi <inoue@ma.ns.musashi-techa.c.jp>
- Use pre-asun2.1.0-3 source.
* Tue Jul 7 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Add afpovertcp entries to /etc/services
- Remove BuildRoot in man8 pages
* Mon Jun 29 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use modified sources 1.4b2+asun2.1.0 produced by Adrian Sun
  <asun@saul9.u.washington.edu> to provide an AppleShareIP file server
- Included AppleVolumes.system file maintained by Johnson
  <johnson@stpt.usf.edu>
* Mon Aug 25 1997 David Gibson <D.Gibson@student.anu.edu.au>
- Used a buildroot
- Use RPM_OPT_FLAGS
- Moved configuration parameters/files from atalk.init to /etc/atalk
- Separated devel package
- Built with shared libraries
* Sun Jul 13 1997 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
- Updated sources from 1.3.3 to 1.4b2
- Included endian patch for Linux/SPARC
- Use all the configuration files supplied in the source.  This has the
  following advantages over the ones in the previous rpm release:
	+ The printer 'lp' isn't automatically placed in papd.conf
	+ The default file conversion is binary rather than text.
- Automatically add and remove DDP services from /etc/services
- Placed the recommended /etc/services in the documentation
- Changed atalk.init to give daemons a soft kill
- Changed atalk.init to make configuration easier

* Wed May 28 1997 Mark Cornick <mcornick@zorak.gsfc.nasa.gov>
Updated for /etc/pam.d
